Numeric (Ant Contrib)
Keywords: net.sf.antcontrib.math.Numeric class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.math
Class Numeric

    java.lang.Object
      net.sf.antcontrib.math.Numeric

All Implemented Interfaces:
  Evaluateable

    public class Numeric

extends java.lang.Object
implements Evaluateable

A numeric value that implements Evaluateable.

Author:
  inger

Constructor Summary
`Numeric()`

Method Summary
`java.lang.Number` | `evaluate()`
`java.lang.String` | `getDatatype()`
`void` | `setDatatype(java.lang.String p)` Sets the datatype of this number.
`void` | `setValue(java.lang.String value)` Set the value for this number.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Numeric

    public Numeric()

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Set the value for this number. This string must parse to the set datatype, for example, setting value to "7.992" and datatype to INT will cause a number format exception to be thrown. Supports two special numbers, "E" and "PI".

  Parameters:
    `value` - the value for this number

### evaluate

    public java.lang.Number evaluate()

  Specified by:
    `evaluate` in interface `Evaluateable`
  Returns:
    the value for this number as a Number. Cast as appropriate to Integer, Long, Float, or Double.

### setDatatype

    public void setDatatype(java.lang.String p)

  Sets the datatype of this number. Allowed values are "int", "long", "float", or "double".

### getDatatype

    public java.lang.String getDatatype()

  Returns:
    the datatype as one of the defined types.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD